Status List
Manage credential statuses.
Update the status of a specific credential.
Update the status of the given status list at the given index.
The new status needs to fit in the amount of bits used by the corresponding status list.
Usually, status 0 is reserved as VALID, status 1 as INVALID, and
status 2 as SUSPENDED.
Path Parameters
issuerId*string
An ID of the Issuer whose status list is used.
listId*string
An ID of the status list that is to be updated.
Format
uuidlistIndex*integer
Index within that status list that is to be updated.
Range
0 <= valueHeader Parameters
X-API-KEY*string
API key for authenticating requests to the Issuer Service.
Request Body
application/json
status*integer
Value in
0 | 1Response Body
curl -X POST "https://eis.fortid.com/control/issuer/fortid_issuer/status-list/497f6eca-6276-4993-bfeb-53cbbbba6f08/0" \ -H "X-API-KEY: HCLN4ZKnWYJAfyNkDnQ57gEAHuejD6MN" \ -H "Content-Type: application/json" \ -d '{ "status": 0 }'Empty
Empty
Empty
Empty
Empty
Empty